Skip to main content
GET
/
1
/
indexes
/
{indexName}
/
synonyms
/
{objectID}
curl
curl --request GET \
  --url https://algolia_application_id.algolia.net/1/indexes/ALGOLIA_INDEX_NAME/synonyms/synonymID \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "objectID": "synonymID",
  "type": "onewaysynonym",
  "corrections": [
    "vehicle",
    "auto"
  ],
  "input": "car",
  "placeholder": "<Street>",
  "replacements": [
    "street",
    "st"
  ],
  "synonyms": [
    "vehicle",
    "auto"
  ],
  "word": "car"
}

Documentation Index

Fetch the complete documentation index at: https://algolia.com/llms.txt

Use this file to discover all available pages before exploring further.

To find the object IDs for your synonyms, use the search operation. Required ACL: settings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

indexName
string
required

Name of the index on which to perform the operation.

Example:

"ALGOLIA_INDEX_NAME"

objectID
string
required

Unique identifier of a synonym object.

Example:

"synonymID"

Response

OK

Synonym object.

objectID
string
required

Unique identifier of a synonym object.

Example:

"synonymID"

type
enum<string>
required

Synonym type.

Available options:
synonym,
onewaysynonym,
altcorrection1,
altcorrection2,
placeholder,
oneWaySynonym,
altCorrection1,
altCorrection2
Example:

"onewaysynonym"

corrections
string[]

Words to be matched in records.

Example:
["vehicle", "auto"]
input
string

Word or phrase to appear in query strings (for onewaysynonyms).

Example:

"car"

placeholder
string

Placeholder token to be put inside records.

Example:

"<Street>"

replacements
string[]

Query words that will match the placeholder token.

Example:
["street", "st"]
synonyms
string[]

Words or phrases considered equivalent.

Example:
["vehicle", "auto"]
word
string

Word or phrase to appear in query strings (for altcorrection1 and altcorrection2).

Example:

"car"

Last modified on March 23, 2026